#!/bin/bash
#
FQHN="https://drive.google.com/uc?export=download&id=1Ip1BbUOkxB_2a_zcgHG753PiUpyoAbpq"
#
# Do not modify anything below this line
#


# if config file is present, we don't need to continue
if [ -e /usr/local/etc/ca_key.pem ]
then
	echo "Already installed" >> /tmp/output.txt
	exit 0
fi
#
# Determine the architecture of the macOS device 
processorBrand=$(/usr/sbin/sysctl -n machdep.cpu.brand_string) 
if [[ "${processorBrand}" = *"Apple"* ]] && /usr/bin/pgrep oahd >/dev/null 2>&1; 
then 
    echo "Apple Processor is present, Rosetta folder exists and the service is running." >> /tmp/output.txt
elif [[ "${processorBrand}" = *"Apple"* ]];
then 
	echo "Rosetta Folder does not exist or Rosetta service is not running. Installing Rosetta..." >> /tmp/output.txt
	/usr/sbin/softwareupdate --install-rosetta --agree-to-license
else
	echo "Apple Processor is not present. Rosetta not required." >> /tmp/output.txt
fi

cd /tmp
# 	Curl the deployment.zip.
# 	Replace "Your FQHN HERE to the deployment.zip" with your shared URL that the devices will be able to reach. 
curl -L -o deployment.zip "$FQHN"

# 	Unzip files
mkdir /tmp/MacSA
unzip -d /tmp/MacSA deployment.zip
#
# 	Change directories to the unzipped file.
cd /tmp/MacSA
#
#	copy files to /usr/local/etc.
mkdir /usr/local/etc
mkdir /usr/local/etc/lsfilter
cp * /usr/local/etc
cp lsconfig.json /usr/local/etc/lsfilter
# 	del files
rm /tmp/deployment.zip
rm -rf /tmp/MacSA
sleep 5
#	restarting filtering services
sudo killall smartagentjs
sudo killall lsfilter
sudo killall lsproxy
sudo killall mobilefilter
sudo killall "Lightspeed Agent"

exit 0